import { OnInit, OnDestroy } from '@angular/core';
import { IdleFacade } from '../+state/idle.facade';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class IdleWarningComponent implements OnInit, OnDestroy {
    readonly idleFacade: IdleFacade;
    readonly isSessionTimingOut$: BehaviorSubject<boolean>;
    secondsRemaining$?: Observable<number>;
    private timeoutSub?;
    constructor(idleFacade: IdleFacade);
    ngOnInit(): void;
    ngOnDestroy(): void;
    close(): void;
    extend(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IdleWarningComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IdleWarningComponent, "imng-idle-warning", never, {}, {}, never, never, false, never>;
}
