import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { IdleConfig } from '../idle-config';
import * as i0 from "@angular/core";
export declare class IdleEffects {
    private readonly idleConfig;
    private readonly store;
    private readonly actions$;
    signOutRedirect$: Observable<import("@ngrx/store/src/models").TypedAction<"[Oidc] sign out redirect">> & import("@ngrx/effects").CreateEffectMetadata;
    timingOut$: Observable<{
        payload: IdleConfig;
    } & import("@ngrx/store/src/models").TypedAction<string>> & import("@ngrx/effects").CreateEffectMetadata;
    getLoggedInActionPipe(): Observable<boolean>;
    constructor(idleConfig: IdleConfig, store: Store, actions$: Actions);
    static ɵfac: i0.ɵɵFactoryDeclaration<IdleEffects, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<IdleEffects>;
}
