export declare const IDLE_FEATURE_KEY = "idle";
export interface IdleState {
    isTimingOut: boolean;
    timeoutSpanInMs: number | undefined;
}
export declare const initialState: IdleState;
export declare const idleFeature: {
    name: "idle";
    reducer: import("@ngrx/store").ActionReducer<IdleState, import("@ngrx/store").Action>;
    selectIdleState: import("@ngrx/store").MemoizedSelector<Record<string, any>, IdleState, (featureState: IdleState) => IdleState>;
    selectIsTimingOut: import("@ngrx/store").MemoizedSelector<Record<string, any>, boolean, (featureState: IdleState) => boolean>;
    selectTimeoutSpanInMs: import("@ngrx/store").MemoizedSelector<Record<string, any>, number | undefined, (featureState: IdleState) => number | undefined>;
};
